gtksourceviewmm: gtksourceview::SourceCompletionContext Class Reference

gtksourceviewmm 2.10.3

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
gtksourceview::SourceCompletionContext Class Reference

SourceCompletionContext. More...

`#include <gtksourceviewmm/sourcecompletioncontext.h>`

Inheritance diagram for gtksourceview::SourceCompletionContext:
[legend]

List of all members.

## Public Member Functions
GtkSourceCompletionContext* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionContext* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceCompletionContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | add_proposals (const Glib::RefPtr< SourceCompletionProvider >& provider, const Glib::ListHandle< Glib::RefPtr< SourceCompletionProposal > >& proposals, bool finished)
| Providers can use this function to add proposals to the completion.
SourceIter | get_iter () const
| Get the iter at which the completion was invoked.
SourceCompletionActivation | get_activation () const
| Get the context activation.
Glib::PropertyProxy < SourceCompletionActivation > | property_activation ()
| The type of activation.
Glib::PropertyProxy_ReadOnly < SourceCompletionActivation > | property_activation () const
| The type of activation.
Glib::PropertyProxy_ReadOnly < SourceCompletion* > | property_completion () const
| The completion object to which the context belongs.
Glib::PropertyProxy< SourceIter > | property_iter ()
| The GtkTextIter at which the completion was invoked.
Glib::PropertyProxy_ReadOnly < SourceIter > | property_iter () const
| The GtkTextIter at which the completion was invoked.
Glib::SignalProxy0< void > | signal_cancelled ()
| Emitted when the current population of proposals has been cancelled.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceCompletionContext > | wrap (GtkSourceCompletionContext* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

SourceCompletionContext.

Since gtksourceviewmm 2.10:

## Member Function Documentation

void gtksourceview::SourceCompletionContext::add_proposals | ( | const Glib::RefPtr< SourceCompletionProvider >& | provider,
|  | const Glib::ListHandle< Glib::RefPtr< SourceCompletionProposal > >& | proposals,
|  | bool | finished
| ) |  |

Providers can use this function to add proposals to the completion.

They can do so asynchronously by means of the finished argument. Providers must ensure that they always call this function with finished set to `true` once each population (even if no proposals need to be added).

Parameters:

  provider | A SourceCompletionProvider.
  proposals | The list of proposals to add.
  finished | Whether the provider is finished adding proposals.

Since gtksourceviewmm 2.10:

SourceCompletionActivation gtksourceview::SourceCompletionContext::get_activation | ( |  | ) | const

Get the context activation.

Returns:
  The context activation.

Since gtksourceviewmm 2.10:

SourceIter gtksourceview::SourceCompletionContext::get_iter | ( |  | ) | const

Get the iter at which the completion was invoked.

Providers can use this to determine how and if to match proposals.

Returns:
  A Gtk::TextIter.

Since gtksourceviewmm 2.10:

Glib::PropertyProxy<SourceCompletionActivation> gtksourceview::SourceCompletionContext::property_activation | ( |  | ) |

The type of activation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<SourceCompletionActivation> gtksourceview::SourceCompletionContext::property_activation | ( |  | ) | const

The type of activation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<SourceCompletion*> gtksourceview::SourceCompletionContext::property_completion | ( |  | ) | const

The completion object to which the context belongs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<SourceIter> gtksourceview::SourceCompletionContext::property_iter | ( |  | ) |

The GtkTextIter at which the completion was invoked.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<SourceIter> gtksourceview::SourceCompletionContext::property_iter | ( |  | ) | const

The GtkTextIter at which the completion was invoked.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > gtksourceview::SourceCompletionContext::signal_cancelled | ( |  | ) |

Emitted when the current population of proposals has been cancelled.

Providers adding proposals asynchronously should connect to this signal to know when to cancel running proposal queries.

Since gtksourceviewmm 2.10:

Prototype:
  `void on_my_cancelled()`

## Friends And Related Function Documentation

Glib::RefPtr< gtksourceview::SourceCompletionContext > wrap | ( | GtkSourceCompletionContext * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.